##  for PCLinuxOS  ##

%define  ver  20200307
%define  rel  1.nora20
%define  fontdir  %{_datadir}/fonts/TTF/japanese-migmix

%define ipa_ver   00303
%define mplus_ver 063a

Name:     fonts-ttf-japanese-migmix
Summary:  MigMix fonts
Summary(ja):  MigMix フォント
Version:  %{ver}
Release:  %{rel}
Group:    System/Fonts/True type
License:  IPA Font License
URL:      http://mix-mplus-ipa.osdn.jp/migmix/
Source0:  migmix-%{version}.tar.xz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:  noarch

%description
MigMix font are combined fonts that use IPA Gothic and M+ fonts.
This package includes four fonts.
  MigMix 1M
  MigMix 1P
  MigMix 2M
  MigMix 2P

- http://mix-mplus-ipa.osdn.jp/migmix/

%description -l ja
MigMix（ミグミックス）フォントは、IPA ゴシック と M+ フォント の合成フォントです。
このパッケージでは下記の4種類のフォントを収録しています。
  MigMix 1M
  MigMix 1P
  MigMix 2M
  MigMix 2P

MigMixフォントの詳細は下記のページを参照してください。
- http://mix-mplus-ipa.osdn.jp/migmix/


%prep
%setup -q -n migmix-%{version}


%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/%{fontdir}
install -m644 *.ttf $RPM_BUILD_ROOT/%{fontdir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{fontdir} $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/ttf-japanese-migmix:pri=50


%files
%defattr(-,root,root)
%doc migmix-README.txt ipag%{ipa_ver} mplus-TESTFLIGHT-%{mplus_ver}
%{fontdir}/*.ttf
%{_sysconfdir}/X11/fontpath.d/*


%changelog
* Fri Mar 13 2020 tomcat <> 20200307-1
- update to 20200307

* Tue Jul 14 2015 tomcat <> 20150712-1
- 20150712
